#pragma once
#include "ControlReaders/ControlReader.h"

class ButtonReader : public ControlReader
{
	//---- Init / Dispose ----
	public:
		ButtonReader( ISpeakable * speaker );
		virtual ~ButtonReader();

	//---- ControlReader interface ----
	protected:
		virtual bool CanHandleContext( long vmID, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnFocusGained( long vmID, FocusEvent event, AccessibleContext context, AccessibleContextInfo & contextInfo );
};
