#pragma once
#include "ControlReaders/ControlReader.h"

class CheckBoxReader : public ControlReader
{
	public:
		CheckBoxReader( ISpeakable * speaker );

	public:
		virtual ~CheckBoxReader();

		virtual bool CanHandleContext( long vmID, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnFocusGained( long vmID, FocusEvent event, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnStatePropertyChange( long vmID, jobject event, AccessibleContext context, AccessibleContextInfo & contextInfo, wchar_t * oldState, wchar_t * newState );
};
