// 2007-02-17
#pragma once

#include <AccessBridgeCalls.h>
#include "ControlReaders/ControlReader.h"

class ListReader : public ControlReader
{
	public:
		ListReader( ISpeakable * speaker );
		virtual ~ListReader();

	// IControlReader
	public:
		virtual bool CanHandleContext( long vmID, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnFocusGained( long vmID, FocusEvent event, AccessibleContext context, AccessibleContextInfo & contextInfo );
		//virtual void OnActiveDescendentPropertyChange( long vmID, jobject event, AccessibleContext context, AccessibleContextInfo & contextInfo, jobject oldActiveDescendent, jobject newActiveDescendent );
		virtual void OnSelectionPropertyChange( long vmID, jobject event, AccessibleContext context, AccessibleContextInfo & contextInfo );
};
