#pragma once
#include "ControlReaders\ControlReader.h"

class MenuItemReader : public ControlReader
{
	public:
		MenuItemReader( ISpeakable * speaker );
		virtual ~MenuItemReader();

	public:
		virtual bool CanHandleContext( long vmID, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnFocusGained( long vmID, FocusEvent event, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnMenuSelected( long vmID, jobject event, AccessibleContext context );
};
