#pragma once
#include "ControlReaders\ControlReader.h"

class MenuReader : public ControlReader
{
	public:
		MenuReader( ISpeakable * speaker );
		virtual ~MenuReader();

	public:
		virtual bool CanHandleContext( long vmID, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnFocusGained( long vmID, FocusEvent event, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnMenuDeselected( long vmID, jobject event, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnMenuSelected( long vmID, jobject event, AccessibleContext context, AccessibleContextInfo & contextInfo );
};
