// 2007-02-17
#pragma once
#include "ControlReaders/GenericControlReader.h"

class ToggleButtonReader : public ControlReader
{
	//---- init / dispose ----
	public:
		ToggleButtonReader( ISpeakable * speaker );
		virtual ~ToggleButtonReader();

	//---- ControlReader interface ----
	public:
		virtual bool CanHandleContext( long vmID, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnFocusGained( long vmID, FocusEvent event, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnStatePropertyChange( long vmID, jobject event, AccessibleContext context, AccessibleContextInfo & contextInfo, wchar_t * oldState, wchar_t * newState );
};
