// 2007-05-27
#pragma once
#include <string>
#include "Speakers\ISpeakable.h"

class ConsoleWriter : public ISpeakable
{
	//---- Init / Dispose ----
	public:
		ConsoleWriter();
		~ConsoleWriter();
		int Init();
	
	//---- ISpeakable ----
	public:
		virtual void Speak( const wchar_t* str );
		virtual void SpeakLow( const wchar_t * str );
		virtual void SpeakAndWait( const wchar_t* str );
		virtual void Wait( bool waitLong );
		virtual void ShutUp();

		virtual std::wstring GetTextForTripleDots();
};
