#ifndef __GENERICCONTROLREADER_H__
#define __GENERICCONTROLREADER_H__
#pragma once

#include <AccessBridgeCalls.h>
#include "ControlReader.h"

class GenericControlReader : public ControlReader
{
	public:
		GenericControlReader( ISpeakable * speaker );
		~GenericControlReader();

	// IControlReader
	public:
		bool CanHandleContext( long vmID, AccessibleContext context, AccessibleContextInfo & contextInfo );
		void OnFocusGained( long vmID, FocusEvent event, AccessibleContext context, AccessibleContextInfo & contextInfo );
};


#endif // __GENERICCONTROLREADER_H__
