// 2007-02-17
#pragma once


#include <AccessBridgeCalls.h>
#include "ControlReaders/ControlReader.h"


class TextReader : public ControlReader
{
	public:
		TextReader( ISpeakable * speaker );
		virtual ~TextReader();
	
	// IControlReader
	public:
		virtual bool CanHandleContext( long vmID, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnFocusGained( long vmID, FocusEvent event, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnCaretPropertyChange( long vmID, CaretEvent event, AccessibleContext context, AccessibleContextInfo & contextInfo, int oldPosition, int newPosition );
};
