#pragma once
#include "ControlReaders\ControlReader.h"

class TreeReader : public ControlReader
{
	//---- init / dispose ----
	public:
		TreeReader( ISpeakable * speakerRef );
		virtual ~TreeReader();

	//---- ControlReader interface ----
	public:
		virtual bool CanHandleContext( long vmID, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnFocusGained( long vmID, FocusEvent event, AccessibleContext context, AccessibleContextInfo & contextInfo );
		virtual void OnStatePropertyChange( long vmID, jobject event, AccessibleContext context, AccessibleContextInfo & contextInfo, wchar_t * oldState, wchar_t * newState );
		virtual void OnActiveDescendentPropertyChange( long vmID, jobject event, AccessibleContext context, AccessibleContextInfo & contextInfo, jobject oldActiveDescendent, jobject newActiveDescendent );
};
