@echo off

:: -Os : optimize for size
:: -fshort-wchar : make wchar_t "short"
set OPT=-Os  -fshort-wchar  -DNDEBUG  -o a.exe
set INC=-I ..  -I ../JavaAccessBridge
set INC=%INC%  -I ../ControlReaders  -I ../Speakers
set SRC=../*.cpp  ../JavaAccessBridge/*.cpp  ../Sgry/*.cpp
set SRC=%SRC%  ../Speakers/*.cpp  ../ControlReaders/*.cpp

:: go into workspace
if not exist obj (
	mkdir obj 2> NUL
)
cd obj

:: build
g++  %OPT%  %INC%  %SRC%

:: get out from workspace
cd..

:: move assembly to package directory
move /Y  obj\a.exe  ..\_package\SwingReader.exe 2> NUL
